# Cookbook:: esh_photoprism
# Recipe:: docker
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

image = node['esh']['photoprism']['docker']['image']
repo = image.split('/', 2)[1]
tag = node['esh']['photoprism']['docker']['tag']
env = node['esh']['photoprism']['docker']['env']
volumes = node['esh']['photoprism']['docker']['volumes']

docker_image image do
  tag tag
  action :pull
end

docker_container 'photoprism' do
  repo repo
  tag tag
  port '2342:2342'
  env env
  user '998:998'
  working_dir '/photoprism'
  security_opt ['seccomp:unconfined', 'apparmor:unconfined']
  volumes volumes
  restart_policy 'unless-stopped'
  action [:create, :start]
end
